Last Comment Bug 792046 - Improve the error message when failing to connect an XMPP/IRC account because of a broken certificate
: Improve the error message when failing to connect an XMPP/IRC account because...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All Android
-- normal (vote)
: Thunderbird 18.0
Assigned To: Florian Quèze [:florian] [:flo] (PTO until February 27)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 07:45 PDT by Florian Quèze [:florian] [:flo] (PTO until February 27)
Modified: 2013-02-11 06:10 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch (5.81 KB, patch)
2012-09-18 07:45 PDT, Florian Quèze [:florian] [:flo] (PTO until February 27)
clokep: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-09-18 07:45:48 PDT
Created attachment 662155 [details] [diff] [review]
Patch

We have received lots of confusing support requests for IM in Tb because when we fail to connect to an XMPP or IRC server that has a broken (or self-signed, or not satisfying NSS' requirements for any reason) certificate, we currently just display a generic and not really appropriate "The server closed the connection" error message.

The attached patch replaces this error message with an error message coming from NSS (so we don't need new localizable strings! :-)) for cases of invalid certificates.

(Note: the patch removes a string from chat/locales/en-US/irc.properties that wasn't used anyway. If the patch lands on aurora, I won't include that change there.)
Comment 1 User image Patrick Cloke [:clokep] 2012-09-18 07:56:26 PDT
Comment on attachment 662155 [details] [diff] [review]
Patch

I already gave my comments over IRC and they were fixed. :)
Comment 2 User image Patrick Cloke [:clokep] 2012-09-18 07:57:06 PDT
(Also, thanks for fixing this!)
Comment 3 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-09-20 09:46:39 PDT
https://hg.mozilla.org/comm-central/rev/410b8317fa4e
http://hg.instantbird.org/instantbird/rev/4e7c7af0c382
Comment 4 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-09-20 09:48:04 PDT
Comment on attachment 662155 [details] [diff] [review]
Patch

[Approval Request Comment]
User impact if declined: Confusing error message when attempting to connect through XMPP or IRC to a server with an invalid (self-signed, expired, or otherwise broken) SSL certificate. This is causing lots of support requests on Thunderbird 15.
Comment 5 User image Mark Banner (:standard8) 2012-10-05 08:55:04 PDT
Comment on attachment 662155 [details] [diff] [review]
Patch

I'd accept a patch without the l10n change though.
Comment 6 User image Mark Banner (:standard8) 2012-10-05 09:02:10 PDT
Comment on attachment 662155 [details] [diff] [review]
Patch

Ok, so as long as this lands without the l10n change, a=me
Comment 7 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-10-05 11:22:02 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/1ed0ef01d135

Note You need to log in before you can comment on or make changes to this bug.